Skip to main content

Published Release Notes

Find release notes for the selected Pega Version and Capability

Browse resolved issues for Platform releases.

This documentation is for non-current versions of Pega Platform. For current release notes, go here.

End of support for Microsoft Internet Explorer 9 in Pega 7.2.1

Valid from Pega Version 7.2.1

In accordance with Microsoft’s announcement to discontinue support for Internet Explorer 9, Pega 7.2.1 will not support Internet Explorer 9. You should not upgrade to Pega 7.2.1 if you are still using Internet Explorer 9. Otherwise, upgrade to Microsoft Internet Explorer 10 or later, or use Google Chrome, Apple Safari, or Mozilla Firefox, which support certain HTML5 and CSS3 standards not supported in Internet Explorer 9.

For more information about browser support, see the Platform Support Guide or contact Pegasystems Global Customer Support.

 

 

 

High number of busy waits when using Oracle SecureFiles

Valid from Pega Version 7.2.1

You might experience a high number of buffer busy waits when using Oracle SecureFiles for BLOB storage. An Oracle buffer busy wait occurs when a session cannot access a database block in the buffer cache, because another session is either reading the block into the buffer or changing the buffer. As a best practice, use Oracle 11.2.0.4 or later, because earlier versions have more problems with SecureFiles. In addition, to minimize the number of busy waits, set the hidden Oracle parameter _securefiles_concurrency_estimate to 50, and partition the table by using a composite range hash partition that is based on the pxCreateDateTime and pzInskey columns.

For more information, see Troubleshooting: High number of busy waits when using Oracle SecureFiles.

Discontinued support for multithreaded requestors

Valid from Pega Version 7.2.1

Multithreaded requestors are no longer supported in the Pega 7 Platform. Multithreading was previously specified by the prconfig setting initialization/allowMultiplePRThreads. If this setting is set to true when you upgrade to Pega 7.2.1, errors occur during the quiesce process.

Child case queries can be slow after upgrade

Valid from Pega Version 7.2.1

After upgrading, performance might be slow when you run queries on child cases for work tables that existed prior to the upgrade. This issue is often indicated by PEGA0005 (query time exceeded limit) alerts that can be correlated to these queries in the logs. To resolve the issue, add a database index to each of your work tables by using a multicolumn index on the pxCoverInsKey, pxObjClass, and pyStatusWork columns.

For more information, see Performance improvements for child case queries.

Cannot send mobile push notifications when the Pega 7 Platform is hosted on WebSphere Application Server

Valid from Pega Version 7.2.1

Push notifications are not sent to Android or iOS mobile apps when the Pega 7 Platform is hosted on WebSphere Application Server.

Extract marker file not created at startup

Valid from Pega Version 7.2.1

The extract marker file (PegaRULES_Extract_Marker.txt) is not created at startup, because the rule utility libraries no longer need it. If you used to use the extract marker file to clear the static content file-based cache, to look up lists, or to control starting activities with web nodes, you can delete the contents of the PegaRULES temporary directory instead.

The UpdateAdaptiveModels agent causes an exception after Pega 7.2 to 7.2.1 upgrade

Valid from Pega Version 7.2.1

After the Pega 7 Platform is upgraded from version 7.2 to 7.2.1, the log files might show an error that is caused by the UpdateAdaptiveModels agent. This agent is enabled by default and is responsible for updating scoring models in the Pega 7 Platform. If you use adaptive models in your solution, you can avoid this error by configuring the Adaptive Decision Manager service. If you do not use adaptive models, disable the UpdateAdaptiveModels agent.

For more information, see Configuring the Adaptive Decision Manager service and Pega-DecisionEngine agents.

Reconfiguration of the Adaptive Decision Manager service after upgrade to Pega 7.2.1

Valid from Pega Version 7.2.1

After you upgrade the Pega 7 Platform to version 7.2.1, you need to reconfigure the Adaptive Decision Manager service. Beginning with Pega 7.2.1, the Adaptive Decision Management (ADM) service is native to the Pega 7 Platform and is supported by the Decision data node infrastructure.

For more information, see Services landing page.

Upgrade/update fails if PostGIS is applied to PegaRULES or PegaDATA schema

Valid from Pega Version 7.2.1

If you use the PostGIS extension to a PostgreSQL database, upgrading or updating the Pega 7 Platform fails if the extension has been applied to either the PegaRULES or PegaDATA schema. PostGIS can be applied to any other schema.

We'd prefer it if you saw us at our best.

Pega.com is not optimized for Internet Explorer. For the optimal experience, please use:

Close Deprecation Notice
Contact us